<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: HardwareManager.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">HardwareManager.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="HardwareManager_8hpp_source.html">HardwareManager.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="Experiment_8hpp_source.html">Experiment.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="ActuatorSystem_8hpp_source.html">ActuatorSystem.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="SmarActActuatorSystem_8hpp_source.html">SmarActActuatorSystem.hpp</a>&quot;</code><br/>
</div><div class="textblock"><div class="dynheader">
Include dependency graph for HardwareManager.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="HardwareManager_8cpp__incl.png" border="0" usemap="#HardwareManager_8cpp" alt=""/></div>
<map name="HardwareManager_8cpp" id="HardwareManager_8cpp">
<area shape="rect" id="node3" href="HardwareManager_8hpp.html" title="HardwareManager.hpp" alt="" coords="1475,315,1627,344"/><area shape="rect" id="node9" href="Experiment_8hpp.html" title="Experiment.hpp" alt="" coords="1092,237,1204,267"/><area shape="rect" id="node103" href="ActuatorSystem_8hpp.html" title="ActuatorSystem.hpp" alt="" coords="1977,392,2119,421"/><area shape="rect" id="node108" href="SmarActActuatorSystem_8hpp.html" title="SmarActActuatorSystem.hpp" alt="" coords="1568,83,1760,112"/><area shape="rect" id="node11" href="FileManager_8hpp.html" title="FileManager.hpp" alt="" coords="757,315,875,344"/><area shape="rect" id="node41" href="StateManager_8hpp.html" title="StateManager.hpp" alt="" coords="1221,315,1349,344"/><area shape="rect" id="node55" href="DataLogger_8hpp.html" title="DataLogger.hpp" alt="" coords="663,392,777,421"/><area shape="rect" id="node65" href="Factory_8hpp.html" title="Factory.hpp" alt="" coords="321,315,412,344"/><area shape="rect" id="node74" href="Robot_8hpp.html" title="Robot.hpp" alt="" coords="1107,315,1189,344"/><area shape="rect" id="node13" href="parms_8hpp.html" title="parms.hpp" alt="" coords="484,392,567,421"/><area shape="rect" id="node43" href="MeasurementState_8hpp.html" title="MeasurementState.hpp" alt="" coords="1383,392,1540,421"/><area shape="rect" id="node47" href="Timer_8hpp.html" title="Timer.hpp" alt="" coords="1516,469,1596,499"/><area shape="rect" id="node77" href="ForceMeasurement_8hpp.html" title="ForceMeasurement.hpp" alt="" coords="852,392,1009,421"/><area shape="rect" id="node100" href="ActuatorAxis_8hpp.html" title="ActuatorAxis.hpp" alt="" coords="1185,392,1308,421"/><area shape="rect" id="node79" href="ADCard_8hpp.html" title="ADCard.hpp" alt="" coords="1165,469,1259,499"/><area shape="rect" id="node98" href="ForceSensor_8hpp.html" title="ForceSensor.hpp" alt="" coords="912,469,1032,499"/><area shape="rect" id="node111" href="SmarActActuatorAxis_8hpp.html" title="SmarActActuatorAxis.hpp" alt="" coords="1577,160,1751,189"/><area shape="rect" id="node115" href="SmarActResult_8hpp.html" title="SmarActResult.hpp" alt="" coords="1767,392,1903,421"/><area shape="rect" id="node121" href="SmarActCommands_8hpp.html" title="SmarActCommands.hpp" alt="" coords="1752,237,1917,267"/><area shape="rect" id="node123" href="SmarActCommand_8hpp.html" title="SmarActCommand.hpp" alt="" coords="1756,315,1913,344"/></map>
</div>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
